Sql Pools - List By Workspace
List SQL pools
List all SQL pools
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/workspaces/{workspaceName}/sqlPools?api-version=2021-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
workspace
|
path | True |
string |
The name of the workspace. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| Other Status Codes |
Examples
| List SQL Analytics pools in a workspace |
| List SQL Analytics pools in a workspace with filter |
List SQL Analytics pools in a workspace
Sample request
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6845/providers/Microsoft.Synapse/workspaces/sqlcrudtest-7177/sqlPools/master",
"name": "master",
"type": "Microsoft.Synapse/workspaces/sqlPools",
"location": "Japan East",
"properties": {
"status": "Online",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 32212254720,
"creationDate": "2017-02-10T00:59:33.483Z",
"provisioningState": "Succeeded",
"restorePointInTime": "0001-01-01T00:00:00Z",
"storageAccountType": "GRS"
},
"sku": {
"name": "GP_Gen5_2"
}
},
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6845/providers/Microsoft.Synapse/workspaces/sqlcrudtest-7177/sqlPools/sqlcrudtest-1142",
"name": "sqlcrudtest-1142",
"type": "Microsoft.Synapse/workspaces/sqlPools",
"location": "Japan East",
"properties": {
"status": "Online",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"creationDate": "2017-02-10T01:03:34.04Z",
"provisioningState": "Succeeded",
"restorePointInTime": "0001-01-01T00:00:00Z",
"storageAccountType": "GRS"
},
"sku": {
"name": "DW100c"
}
},
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6845/providers/Microsoft.Synapse/workspaces/sqlcrudtest-7177/sqlPools/sqlcrudtest-2788",
"name": "sqlcrudtest-2788",
"type": "Microsoft.Synapse/workspaces/sqlPools",
"location": "Japan East",
"properties": {
"status": "Online",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"creationDate": "2017-02-10T01:00:21.067Z",
"provisioningState": "Succeeded",
"restorePointInTime": "0001-01-01T00:00:00Z",
"storageAccountType": "GRS"
},
"sku": {
"name": "DW100c"
}
},
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6845/providers/Microsoft.Synapse/workspaces/sqlcrudtest-7177/sqlPools/sqlcrudtest-6877",
"name": "sqlcrudtest-6877",
"type": "Microsoft.Synapse/workspaces/sqlPools",
"location": "Southeast Asia",
"properties": {
"status": "Online",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"creationDate": "2017-02-10T01:02:28.853Z",
"provisioningState": "Succeeded",
"restorePointInTime": "0001-01-01T00:00:00Z",
"storageAccountType": "LRS"
},
"sku": {
"name": "DW100c"
}
},
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6845/providers/Microsoft.Synapse/workspaces/sqlcrudtest-7177/sqlPools/sqlcrudtest-9888",
"name": "sqlcrudtest-9888",
"type": "Microsoft.Synapse/workspaces/sqlPools",
"location": "Japan East",
"properties": {
"status": "Online",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"creationDate": "2017-02-10T01:01:25.347Z",
"provisioningState": "Succeeded",
"restorePointInTime": "0001-01-01T00:00:00Z",
"storageAccountType": "GRS"
},
"sku": {
"name": "DW100c"
}
}
]
}
List SQL Analytics pools in a workspace with filter
Sample request
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6845/providers/Microsoft.Synapse/workspaces/sqlcrudtest-7177/sqlPools/master",
"name": "master",
"type": "Microsoft.Synapse/workspaces/sqlPools",
"location": "Japan East",
"properties": {
"status": "Online",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 32212254720,
"creationDate": "2017-02-10T00:59:33.483Z",
"provisioningState": "Succeeded",
"restorePointInTime": "0001-01-01T00:00:00Z",
"storageAccountType": "GRS"
},
"sku": {
"name": "GP_Gen5_2"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
create |
Specifies the mode of sql pool creation. Default: regular sql pool creation. PointInTimeRestore: Creates a sql pool by restoring a point in time backup of an existing sql pool. sourceDatabaseId must be specified as the resource ID of the existing sql pool, and restorePointInTime must be specified. Recovery: Creates a sql pool by a geo-replicated backup. sourceDatabaseId must be specified as the recoverableDatabaseId to restore. Restore: Creates a sql pool by restoring a backup of a deleted sql pool. SourceDatabaseId should be the sql pool's original resource ID. SourceDatabaseId and sourceDatabaseDeletionDate must be specified. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
| Sku |
Sku |
|
Sql |
SQL pool |
|
Sql |
SQL pool collection |
|
Storage |
The storage account type used to store backups for this sql pool. |
createMode
Specifies the mode of sql pool creation.
Default: regular sql pool creation.
PointInTimeRestore: Creates a sql pool by restoring a point in time backup of an existing sql pool. sourceDatabaseId must be specified as the resource ID of the existing sql pool, and restorePointInTime must be specified.
Recovery: Creates a sql pool by a geo-replicated backup. sourceDatabaseId must be specified as the recoverableDatabaseId to restore.
Restore: Creates a sql pool by restoring a backup of a deleted sql pool. SourceDatabaseId should be the sql pool's original resource ID. SourceDatabaseId and sourceDatabaseDeletionDate must be specified.
| Value | Description |
|---|---|
| Default | |
| PointInTimeRestore | |
| Recovery | |
| Restore |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
Sku
Sku
| Name | Type | Description |
|---|---|---|
| capacity |
integer (int32) |
If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted. |
| name |
string |
The SKU name |
| tier |
string |
The service tier |
SqlPool
SQL pool
| Name | Type | Default value | Description |
|---|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
|
| location |
string |
The geo-location where the resource lives |
|
| name |
string |
The name of the resource |
|
| properties.collation |
string |
Collation mode |
|
| properties.createMode |
Specifies the mode of sql pool creation. Default: regular sql pool creation. PointInTimeRestore: Creates a sql pool by restoring a point in time backup of an existing sql pool. sourceDatabaseId must be specified as the resource ID of the existing sql pool, and restorePointInTime must be specified. Recovery: Creates a sql pool by a geo-replicated backup. sourceDatabaseId must be specified as the recoverableDatabaseId to restore. Restore: Creates a sql pool by restoring a backup of a deleted sql pool. SourceDatabaseId should be the sql pool's original resource ID. SourceDatabaseId and sourceDatabaseDeletionDate must be specified. |
||
| properties.creationDate |
string (date-time) |
Date the SQL pool was created |
|
| properties.maxSizeBytes |
integer (int64) |
Maximum size in bytes |
|
| properties.provisioningState |
string |
Resource state |
|
| properties.recoverableDatabaseId |
string |
Backup database to restore from |
|
| properties.restorePointInTime |
string (date-time) |
Snapshot time to restore |
|
| properties.sourceDatabaseDeletionDate |
string (date-time) |
Specifies the time that the sql pool was deleted |
|
| properties.sourceDatabaseId |
string |
Source database to create from |
|
| properties.status |
string |
Resource status |
|
| properties.storageAccountType | GRS |
The storage account type used to store backups for this sql pool. |
|
| sku |
Sku |
||
| tags |
object |
Resource tags. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
SqlPoolInfoListResult
SQL pool collection
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
Link to the next page of results |
| value |
Sql |
List of SQL pools |
StorageAccountType
The storage account type used to store backups for this sql pool.
| Value | Description |
|---|---|
| GRS | |
| LRS |